Bug 602040 - Use mozilla NSS for crypto - expose LDIF API
Summary: Use mozilla NSS for crypto - expose LDIF API
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 03:07 UTC by Rich Megginson
Modified: 2010-06-28 15:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 15:31:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to export ldif.h to the public api (702 bytes, patch)
2010-06-09 03:07 UTC, Rich Megginson
no flags Details | Diff
patch to export libldif for public use (1.74 KB, patch)
2010-06-09 03:07 UTC, Rich Megginson
no flags Details | Diff
patches to spec file to build with mozilla nss and ldif support (6.99 KB, patch)
2010-06-09 03:08 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2010-06-09 03:07:06 UTC
Created attachment 422406 [details]
patch to export ldif.h to the public api

openldap 2.4.22 has support for using Mozilla NSS for crypto and for allowing clients to use the LDIF API.  We need to enable these by default.  The Mozilla NSS support includes support for existing openssl based TLS/SSL configuration and PEM cert and key files, so existing apps should just work seamlessly and should not even know that the crypto has been switched from openssl to Mozilla NSS.

Comment 1 Rich Megginson 2010-06-09 03:07:38 UTC
Created attachment 422407 [details]
patch to export libldif for public use

Comment 2 Rich Megginson 2010-06-09 03:08:11 UTC
Created attachment 422408 [details]
patches to spec file to build with mozilla nss and ldif support

Comment 3 Rich Megginson 2010-06-09 03:09:24 UTC
These patches build in mock for rawhide (fedora 14).  I've successfully tested these with 389-ds-base on rawhide.

Comment 4 Rich Megginson 2010-06-16 23:30:33 UTC
Any idea when this can land in rawhide?

Comment 5 Jan Zeleny 2010-06-28 15:31:53 UTC
I've applied the patches to rawhide, feel free to test them. I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.